# recordutterance

## recordutterance <a href="#recordutterance" id="recordutterance"></a>

**Default Value:** false

Enables recording during recognition. If the recordutterance property is set to true, three shadow variables are set on the appropriate form item variable: recording, recordingsize, and recordingduration. See [Application and Session Variables](/dev/voicexml/application-and-session-variables.md) for more information.

### Example

```markup
<?xml version="1.0"?>
<vxml version="2.0">
  <property name="recordutterance" value="true"/>
  <form>
    <field name="first_name" type="firstname">
      <prompt bargein="false">
        <audio src="en_us/enter_first_name.wav">
          Please say your first name and spell it.
        </audio>
      </prompt>
      <filled>
        Your recording is <value expr="first_name$.recording"/>.
        The recording size is <value expr="first_name$.recordingsize"/> bytes.
        The recording duration is <value expr="first_name$.recordingduration"/> milliseconds.
      </filled> 
    </field>
  </form>
</vxml>
```

### Explanation

From this example, the “recordutterance” attribute sets up three shadow variables: recording, recordingsize, and recordingduration. The recording shadow variable contains the last utterance if audio was collected. The recordingsize shadow variable contains the last utterance recording size in bytes. The recordingduration shadow variable contains the last utterance duration size in milliseconds.

### Notes

None


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.plumvoice.com/dev/voicexml/properties/recordutterance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
